from utils.data_loader import DataLoader
import torch
import numpy as np

data_loader = DataLoader.from_task('inferences')

data, classes, relations = data_loader.load_data('ANATOMY')
iclasses = {v: k for k, v in classes.items()}
nf1 = data['nf1']
inferences = data_loader.load_test_data('GALEN', classes)['nf1']

data_loader = DataLoader.from_task('prediction')

pred, _, _ = data_loader.load_data('GALEN')
test = data_loader.load_test_data('GALEN', classes)['nf1']

sc = classes['<http://www.co-ode.org/ontologies/galen#SodiumCompound>']
lactate = classes['<http://www.co-ode.org/ontologies/galen#SodiumLactate>']
named = classes['<http://www.co-ode.org/ontologies/galen#NAMEDComplexChemical>']
sodium = classes['<http://www.co-ode.org/ontologies/galen#Sodium>']
made_of = relations['<http://www.co-ode.org/ontologies/galen#isMadeOf>']
